std::once_flag Struct Reference
Mutexes

## Public Member Functions

constexpr | once_flag () noexcept=default
| once_flag (const once_flag &)=delete
once_flag & | operator= (const once_flag &)=delete

## Friends

template<typename _Callable , typename... _Args>
void | call_once (once_flag &__once, _Callable &&__f, _Args &&...__args)

## Detailed Description

once_flag

Definition at line 688 of file mutex.

## Constructor & Destructor Documentation

constexpr std::once_flag::once_flag | ( |  | ) |

defaultnoexcept

Constructor.

std::once_flag::once_flag | ( | const once_flag & |  | ) |

delete

Deleted copy constructor.

## Member Function Documentation

once_flag& std::once_flag::operator= | ( | const once_flag & |  | ) |

delete

Deleted assignment operator.

## Friends And Related Function Documentation

template<typename _Callable , typename... _Args>

void call_once | ( | once_flag & | __once,
|  | _Callable && | __f,
|  | _Args &&... | __args
| ) |  |

friend

call_once

Definition at line 733 of file mutex.

The documentation for this struct was generated from the following file:

- mutex